%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A free remote desktop protocol client
Summary(de):	Ein freier Klient für das Remote Desktop Protokoll (RDP)
Name:		freerdp
Version:	1.0.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://freerdp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/freerdp/0.8/%{name}-%{version}.tar.xz
Patch0:     freerdp-ffmpeg.patch
Patch1:		ffmpeg3.patch
BuildRequires:	openssl-devel
BuildRequires:	%{_lib}samplerate-devel
BuildRequires:	cups-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}xcursor-devel
BuildRequires:	%{_lib}ffmpeg-devel
BuildRequires:	%{_lib}xkbfile-devel
BuildRequires:	zlib-devel
BuildRequires:	xmlto
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 	%{name} < %version

%description
FreeRDP is a fork of the rdesktop project.

%description -l de
FreeRDP ist ein Fork des rdesktop Projekts.

%package -n %{libname}
Summary:	Main library for %{name}
Summary(de):	Hauptbibliothek für %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.

%description -n %{libname} -l de
Gemeinsame Bibliotheken für %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Summary(de):	Entwicklungsdateien für %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%description -n %{develname} -l de
Entwicklungsdateien und Header-Dateien für %{name}.

%prep
%setup -q %{name}-%{version}
%apply_patches

%build
export CPPFLAGS="%{optflags}"

mkdir build
pushd build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr ..


make %{?_smp_mflags}
popd
%install
rm -rf %{buildroot}

#pushd build
pushd build
%makeinstall_std
popd

%find_lang %{name}
rm -rf %{buildroot}%{_libdir}/%{name}/*.la
rm -rf %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README LICENSE ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/xfreerdp.1.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/freerdp.pc


%changelog
* Sun Jun 18 2017 adrianomorselli <adrianomorselli> 1.0.2-5uplos2017
- rebuild new ffmpeg
